local L = AceLibrary("AceLocale-2.2"):new("Automaton_Stand")
Automaton_Stand = Automaton:NewModule("Stand", "AceEvent-2.0", "AceDebug-2.0")

L:RegisterTranslations("enUS", function() return {
    ["Stand"] = true,
	["Automatically stand when you receive the 'You must be standing' error"] = true,
} end)

L:RegisterTranslations("koKR", function() return {
    ["Stand"] = "일어서기",
	["Automatically stand when you receive the 'You must be standing' error"] = "'일어서기' 오류시 자동으로 일어납니다.",
} end)

L:RegisterTranslations("esES", function() return {
    ["Stand"] = "En pie",
	["Automatically stand when you receive the 'You must be standing' error"] = "Te pone de pie autom\195\161ticamente cuando recibes el error 'Debes estar de pie'",
} end)

Automaton.options.args.stand = {
	type = 'toggle',
	name = L["Stand"],
	desc = L["Automatically stand when you receive the 'You must be standing' error"],
	get = function() return Automaton:IsModuleActive("Stand") end,
	set = function(v) Automaton:ToggleModuleActive("Stand", v) end,
}

function Automaton_Stand:OnEnable()
	self:RegisterEvent("UI_ERROR_MESSAGE")
	self:RegisterEvent("UI_INFO_MESSAGE","UI_ERROR_MESSAGE")
end

local messages = {
	[SPELL_FAILED_NOT_STANDING] = true,
	[ERR_CANTATTACK_NOTSTANDING] = true,
	[ERR_LOOT_NOTSTANDING] = true,
	[ERR_TAXINOTSTANDING] = true,
}

function Automaton_Stand:UI_ERROR_MESSAGE(msg)
	if messages[msg] then
		SitOrStand()
	end
end